Update
curl --request PUT \
--url https://{appId}.api-{region}.cometchat.io/v3/users/{uid} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"name": "<string>",
"avatar": "<string>",
"link": "<string>",
"role": "<string>",
"statusMessage": "<string>",
"metadata": {
"@private": {
"email": "user@email.com",
"contactNumber": "0123456789"
}
},
"tags": [
"tag1"
],
"unset": [
"avatar"
]
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/users/{uid}"
payload = {
"name": "<string>",
"avatar": "<string>",
"link": "<string>",
"role": "<string>",
"statusMessage": "<string>",
"metadata": { "@private": {
"email": "user@email.com",
"contactNumber": "0123456789"
} },
"tags": ["tag1"],
"unset": ["avatar"]
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
avatar: '<string>',
link: '<string>',
role: '<string>',
statusMessage: '<string>',
metadata: {'@private': {email: 'user@email.com', contactNumber: '0123456789'}},
tags: ['tag1'],
unset: ['avatar']
})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/users/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uid": "superhero6",
"name": "Barry Allen",
"link": "http://placehold.it",
"avatar": "http://placehold.it/120x120&text=image1",
"metadata": {
"email": "user@email.com",
"contactNumber": "0123456789"
},
"status": "offline",
"role": "manager",
"createdAt": 1638354015,
"updatedAt": 1638354799,
"tags": [
"supergroup"
]
}
}Users
Update
Update a CometChat user by UID with REST API to change profile fields, role, metadata, tags, avatar, or status.
PUT
/
users
/
{uid}
Update
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Path Parameters
An UID of a user.
Body
application/json
Display name of the user.
URL to profile picture of the user.
URL to profile page.
User role of the user for role based access control.
A message providing context related to the user's current status or mood.
Additional information about the user as JSON. If you plan to use Email Notification [blocked] or SMS Notification [blocked] extensions, Please add the private metadata here.
Show child attributes
Show child attributes
A list of tags to identify specific users.
The unsettable user attributes are avatar, link and metadata.
Available options:
avatar, link, metadata Response
200 - application/json
Updated user
Was this page helpful?
⌘I